com.google.gwt.view.client

## Enum DefaultSelectionEventManager.SelectAction

- java.lang.Object
- - java.lang.Enum<DefaultSelectionEventManager.SelectAction>
  - - com.google.gwt.view.client.DefaultSelectionEventManager.SelectAction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DefaultSelectionEventManager.SelectAction>
  Enclosing class:
    DefaultSelectionEventManager<T>

      public static enum DefaultSelectionEventManager.SelectAction
      extends java.lang.Enum<DefaultSelectionEventManager.SelectAction>

  The action that controls how selection is handled.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT`
    `DESELECT`
    `IGNORE`
    `SELECT`
    `TOGGLE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DefaultSelectionEventManager.SelectAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DefaultSelectionEventManager.SelectAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final DefaultSelectionEventManager.SelectAction DEFAULT

    - #### SELECT

          public static final DefaultSelectionEventManager.SelectAction SELECT

    - #### DESELECT

          public static final DefaultSelectionEventManager.SelectAction DESELECT

    - #### TOGGLE

          public static final DefaultSelectionEventManager.SelectAction TOGGLE

    - #### IGNORE

          public static final DefaultSelectionEventManager.SelectAction IGNORE

  - ### Method Detail

    - #### values

          public static DefaultSelectionEventManager.SelectAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DefaultSelectionEventManager.SelectAction c : DefaultSelectionEventManager.SelectAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DefaultSelectionEventManager.SelectAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null